Bug 841814 - g++ enters an endless loop
g++ enters an endless loop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
19
s390x Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 05:40 EDT by Dan Horák
Modified: 2014-08-26 16:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-26 16:59:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source file (4.11 MB, application/octet-stream)
2012-07-20 05:40 EDT, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2012-07-20 05:40:42 EDT
Created attachment 599346 [details]
preprocessed source file

g++ enters an endless loop when compiling a source file from webkitgtk

Version-Release number of selected component (if applicable):
gcc-c++-4.7.1-4.fc18.s390x

Additional information:
- setting different optimization levels has no effect, I've tried -O1 and -O0 in addition to the default -O2
- last successful build of webkitgtk was done with gcc-c++.s390x 0:4.7.0-6.fc17
- from top output on the builder it doesn't look as low memory condition with heavy swapping
 3616 kojibuil  20   0  217m 202m 4664 R 99.3  6.7 161:02.85 cc1plus
Comment 1 Jakub Jelinek 2012-07-20 05:43:29 EDT
Possibly http://gcc.gnu.org/PR54038
Comment 2 Dan Horák 2012-07-20 06:25:02 EDT
the file seems to build fine with gcc-c++.s390x 0:4.7.1-3.fc18, hope it helps
Comment 3 Fedora End Of Life 2013-04-03 11:05:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Dan Horák 2014-08-26 16:59:23 EDT
no problem with gcc-c++-4.9.1-7.fc21.s390x

Note You need to log in before you can comment on or make changes to this bug.